Subject: [alpine-devel] [PATCH] Initial APKBUILD for dnsenum

From: Fabian Affolter <[email-masked]>
Date: Sun, 3 Jul 2011 13:28:25 +0000

Package description:
The purpose of Dnsenum is to gather as much information as possible
about a domain. The program currently performs the following operations:

1) Get the host's addresse (A record).
2) Get the namservers (threaded).
3) Get the MX record (threaded).
4) Perform axfr queries on nameservers and get BIND versions(threaded).
5) Get extra names and subdomains via google scraping
   (google query = "allinurl: -www site:domain").
6) Brute force subdomains from file, can also perform recursion on
   subdomain that have NS records (all threaded).
7) Calculate C class domain network ranges and perform whois queries
   on them (threaded).
8) Perform reverse lookups on netranges ( C class or/and whois netranges).
9) Write to domain_ips.txt file ip-blocks.
---
 testing/dnsenum/APKBUILD |   28 ++++++++++++++++++++++++++++
 1 files changed, 28 insertions(+), 0 deletions(-)
 create mode 100644 testing/dnsenum/APKBUILD

diff --git a/testing/dnsenum/APKBUILD b/testing/dnsenum/APKBUILD
new file mode 100644
index 0000000..1d9f1b0
--- /dev/null
+++ b/testing/dnsenum/APKBUILD
@@ -0,0 +1,28 @@
+# Contributor: Fabian Affolter <[email-masked]>
+# Maintainer:
+pkgname=dnsenum
+pkgver=1.2.2
+pkgrel=0
+pkgdesc="A tool to enumerate DNS info about domains"
+url="http://code.google.com/p/dnsenum/"
+arch="noarch"
+license="GPL2+"
+depends="perl-net-ip perl-net-dns perl-net-netmask perl-xml-writer"
+depends_dev=""
+makedepends=""
+install=""
+subpackages=""
+source="http://$pkgname.googlecode.com/files/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"
+
+build() {
+    return 0
+}
+
+package() {
+	cd "$_builddir"
+	install -Dm755 "$pkgname".pl "$pkgdir"/usr/bin/$pkgname || return 1
+}
+
+md5sums="d8806daddff880dcadf90af79720e7fe  dnsenum-1.2.2.tar.gz"
-- 
1.7.4.5

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Natanael Copa <[email-masked]>
Date: Sun, 3 Jul 2011 22:21:09 +0200

On Sun,  3 Jul 2011 13:28:25 +0000
Fabian Affolter <[email-masked]> wrote:
...
>  create mode 100644 testing/dnsenum/APKBUILD

Applied together with its dependencies.

Thanks!
-nc

---